/*
    GetTableLevel
    Returns the level set in the BDE registry setting

    Author: Vic McClung
    Date..: August, 2000

    Usage:

       ? GetTableLevel()

    Dependencies:

       registry.prg in the samples directory
       winreg.h     in the include directory

*/
#INCLUDE <winreg.h>

function getTableLevel()
   local reg, cLevel
   // use registry.prg in samples directory
   set procedure to _dbwinhome+"samples\registry.prg" additive
   // create registry object
   reg = new Registry(HKEY_LOCAL_MACHINE, ;
         "SOFTWARE\Borland\Database Engine\Settings" + ;
         "\DRIVERS\DBASE\TABLE CREATE" )
   cLevel = reg.queryValue("LEVEL")
   reg.close()
return cLevel
// done
